﻿# init python:
#     def change_theme(theme):
#         global current_theme
#         current_theme = theme
#         renpy.ui.rebuild()

init offset = -1
define zero_color_theme_1 = {
    "Dominant": "#f2d8ff",
    "Complimentary": "#f2d8ff",
    "Alternative": "#ffcc00",
    
    "Light": "#ff9d00",
    "Dark": "#23223c",
    "Mute": "#8a8a8a",
    }


define current_theme = zero_color_theme_1

define zero_frame = ""
define zero_frame_margin = [10, 10]
define zero_dim_bg = current_theme["Dark"] + "ee"
define zero_mm_bg = "mm_bg"
define zero_gm_bg = "mm_bg"



style zero:
    # All
    align(.5,.5)

    # Text
    color current_theme["Complimentary"]
    hover_color current_theme["Light"]
    selected_color current_theme["Complimentary"]
    selected_hover_color current_theme["Light"]
    font "DejaVuSans.ttf"
    size 24

    # Frame and button
    padding(16,16)
    background Frame("blue_frame", 20,20)
    hover_background Frame("green_frame", 20,20)
    selected_background Frame("red_frame", 20,20)
    selected_hover_background Frame("green_frame", 20,20)
    insensitive_background Frame("blue_frame", 20,20)

    

    # Box
    spacing 8
    box_wrap True
    box_wrap_spacing 8

    # Bar
    left_bar Frame("bar_2", 20,0)
    hover_left_bar Frame("bar_4", 20,0)
    right_bar Frame("bar_1", 20,0)
    hover_right_bar Frame("bar_3", 20,0)

    # Sounds
    # hover_sound "0gui/sfx/hover.mp3"
    # activate_sound "0gui/sfx/select.mp3"

transform btn(duration = .2):
    parallel:
        xoffset random.randint(-1000, -800) alpha 0 yzoom .01
        pause duration * (random.random())
        
        ease duration xoffset 0 yzoom 1 alpha 1
    parallel:
        on idle:
            easein .2 additive 0 alpha 1
        on hover:
            easein .2 additive .3 alpha 1
        on selected_idle:
            easein .2 additive .2 alpha 1
        on selected_hover:
            easein .2 additive .3 alpha 1
        on insensitive:
            easein .2 additive 0 alpha .5

################################################################################
## Styles
################################################################################

# style default:
#     properties gui.text_properties()
#     language gui.language


# style hyperlink_text:
#     properties gui.text_properties("hyperlink", accent=True)
#     hover_underline True



# style bar:
#     ysize gui.bar_size

# style vbar:
#     xsize gui.bar_size

# style scrollbar:
#     ysize gui.scrollbar_size
#     base_bar Frame("gui/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
#     thumb Frame("gui/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

# style vscrollbar:
#     xsize gui.scrollbar_size
#     base_bar Frame("gui/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
#     thumb Frame("gui/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

# style slider:
#     ysize gui.slider_size
#     base_bar Frame("gui/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
#     thumb "gui/slider/horizontal_[prefix_]thumb.png"


################################################################################
## Mobile Variants
################################################################################

# style pref_vbox:
#     variant "medium"
#     xsize 675

# ## Since a mouse may not be present, we replace the quick menu with a version
# ## that uses fewer and bigger buttons that are easier to touch.
# screen quick_menu():
#     variant "touch"

#     zorder 100

#     if quick_menu:

#         hbox:
#             style_prefix "quick"

#             xalign 0.5
#             yalign 1.0

#             textbutton _("Back") action Rollback()
#             textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
#             textbutton _("Auto") action Preference("auto-forward", "toggle")
#             textbutton _("Menu") action ShowMenu()

